MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027988Open CASCADE[OCCT] OCCT:Visualizationpublic2016-10-21 12:392016-12-09 16:38
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027988: Visualization, AIS_InteractiveContext - fix inconsistent methods for setting highlight styles
DescriptionPatch for 0027818 has introduced the following new methods:
+  Handle(Graphic3d_HighlightStyle)& ChangeHighlightStyle()
+  {
+    return myHiStyle;
+  }
+
+  Handle(Graphic3d_HighlightStyle)& ChangeSelectionStyle()
+  {
+    return mySelStyle;
+  }


The "Change" syntax makes sense only in context of primitive types, where it can be used in expressions like "ChangeValue() += 33.0", but not with Handle types.
It is better changing these methods to "Set" syntax for easier lookup of class properties.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0027818closedkgv Visualization - provide an interface to define highlight presentation properties 

-  Notes
(0058954)
git (administrator)
2016-10-21 12:51

Branch CR27988 has been created by kgv.

SHA-1: 507307afb53e3e9d93e72c02eacfb3e543f39f22


Detailed log of new commits:

Author: kgv
Date: Fri Oct 21 12:51:26 2016 +0300

    0027988: Visualization, AIS_InteractiveContext - fix inconsistent methods for setting highlight styles
    
    Methods ::ChangeHighlightStyle() and ::ChangeSelectionStyle() have been
    replaced by ::SetHighlightStyle() and ::SetSelectionStyle().
(0058955)
kgv (developer)
2016-10-21 12:51

Patch is ready for review.
(0058985)
san (developer)
2016-10-23 16:10

Branch CR27988 reviewed without remarks, ready for testing.
(0059025)
kgv (developer)
2016-10-24 14:45

Please check building, regression testing is not needed.
(0059066)
mkv (tester)
2016-10-25 12:08

Dear BugMaster,
Branch CR27988 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 507307afb53e3e9d93e72c02eacfb3e543f39f22

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1148
(0059067)
mkv (tester)
2016-10-25 12:08

Dear BugMaster,
Branch CR27988 is TESTED.
(0059422)
git (administrator)
2016-10-28 21:37

Branch CR27988 has been deleted by kgv.

SHA-1: 507307afb53e3e9d93e72c02eacfb3e543f39f22

- Related Changesets
occt: master d94bed0e
Timestamp: 2016-10-21 09:51:26
Author: kgv
Committer: apn
Details ] Diff ]
0027988: Visualization, AIS_InteractiveContext - fix inconsistent methods for setting highlight styles

Methods ::ChangeHighlightStyle() and ::ChangeSelectionStyle() have been
replaced by ::SetHighlightStyle() and ::SetSelectionStyle().
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/QABugs/QABugs_16.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-10-21 12:39 kgv New Issue
2016-10-21 12:39 kgv Assigned To => kgv
2016-10-21 12:40 kgv Relationship added child of 0027818
2016-10-21 12:51 git Note Added: 0058954
2016-10-21 12:51 kgv Note Added: 0058955
2016-10-21 12:51 kgv Assigned To kgv => san
2016-10-21 12:51 kgv Status new => resolved
2016-10-21 12:52 kgv Description Updated View Revisions
2016-10-23 16:10 san Note Added: 0058985
2016-10-23 16:10 san Assigned To san => bugmaster
2016-10-23 16:10 san Status resolved => reviewed
2016-10-24 14:43 mkv Assigned To bugmaster => mkv
2016-10-24 14:45 kgv Note Added: 0059025
2016-10-25 12:08 mkv Note Added: 0059066
2016-10-25 12:08 mkv Note Added: 0059067
2016-10-25 12:08 mkv Assigned To mkv => bugmaster
2016-10-25 12:08 mkv Status reviewed => tested
2016-10-25 12:08 mkv Test case number => Not needed
2016-10-28 14:35 apn Changeset attached => occt master d94bed0e
2016-10-28 14:35 apn Assigned To bugmaster => apn
2016-10-28 14:35 apn Status tested => verified
2016-10-28 14:35 apn Resolution open => fixed
2016-10-28 21:37 git Note Added: 0059422
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker